Bug 1750867 - [Operator-registory]"no bundle found" wrong operator will impact the load of the following operators packagemanifests
Summary: [Operator-registory]"no bundle found" wrong operator will impact the load of ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.1.z
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.1.z
Assignee: Nick Hale
QA Contact: Bruno Andrade
URL:
Whiteboard:
Depends On: 1746811 1753202
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-09-10 16:28 UTC by Nick Hale
Modified: 2019-09-25 07:28 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1746811
Environment:
Last Closed: 2019-09-25 07:27:53 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github operator-framework operator-lifecycle-manager pull 1037 None None None 2019-09-10 22:21:22 UTC
Red Hat Product Errata RHBA-2019:2820 None None None 2019-09-25 07:28:01 UTC

Comment 2 Bruno Andrade 2019-09-14 02:32:09 UTC
Currently, the latest payload is 4.1.0-0.nightly-2019-09-13-212451, which the fixed PR hasn't merged in.

oc adm release info registry.svc.ci.openshift.org/ocp/release:4.1.0-0.nightly-2019-09-13-212451 --commits | grep operator-lifecycle-manager
  operator-lifecycle-manager                    https://github.com/operator-framework/operator-lifecycle-manager           616650ea46ec9c741d6ad9b306b556520f6975e1

Changing status to MODIFIED

Comment 5 Bruno Andrade 2019-09-18 19:55:00 UTC
LGTM, marking as VERIFIED.

Only the package with errors are not loaded

Cluster Version: 4.1.0-0.nightly-2019-09-18-141128
OLM version: 0.9.0
git commit: 51dcee9

There are 26 operators from opsrc osbs
PACKAGELIST:
3scale-operator
activemq-artemis
amq-online
amq-streams
businessautomation-operator
cluster-logging
codeready-workspaces
datagrid
elasticsearch-operator
fuse-apicurito
fuse-camel-k
fuse-online
jaeger-product
kiali-ossm
kubefed-operator
kubevirt-hyperconverged
local-storage-operator
maistra
metering
metering-ocp
nfd
openshiftansibleservicebroker
openshifttemplateservicebroker
serverless-operator
servicemeshoperator
sriov-network-operator

25 packagemanifests from opsrc osbs:
3scale-operator
activemq-artemis
amq-online
amq-streams
businessautomation-operator
cluster-logging
codeready-workspaces
datagrid
elasticsearch-operator
fuse-apicurito
fuse-camel-k
fuse-online
jaeger-product
kiali-ossm
kubefed-operator
kubevirt-hyperconverged
local-storage-operator
maistra
metering-ocp
metering
openshiftansibleservicebroker
openshifttemplateservicebroker
serverless-operator
servicemeshoperator
sriov-network-operator

only nfd is not loaded by `oc  get packagemanifest` and the nfd doesn't have the bundle for csv in the registory logs
`

Comment 7 errata-xmlrpc 2019-09-25 07:27:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:2820


Note You need to log in before you can comment on or make changes to this bug.